0
pi@rpi:~ $ sudo apt-get install update
Reading package lists... Error!
E: Unable to parse package file /var/lib/apt/lists/mirrordirector.raspbian.org_raspbian_dists_jessie_main_binary-armhf_Packages (1)
E: Problem opening /var/lib/apt/lists/mirrordirector.raspbian.org_raspbian_dists_jessie_contrib_binary-armhf_Packages
E: The package lists or status file could not be parsed or opened.
  • What is the output of cat /var/lib/apt/lists/mirrordirector.raspbian.org_raspbian_dists_jessie_contrib_binary-armhf_Packages? – Philippos Apr 4 '17 at 5:54
3

You issued the wrong command here. Debian package manager works like this:

  • first, you update the list of packages with apt-get update. This downloads a list of packages which a server currently has to a local file in /var/lib/apt/lists/

  • second, you install/upgrade packages from that list, using apt-get install package_name or apt-get upgrade, respectively.

Your command jumps to step 2 right away and tries to install a software called update which presumably doesn't exist.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.